
From: Bodo Stroesser <bstroesser@fujitsu-siemens.com>

UML: remove no longer needed arch-signal.h

Signed-off-by: Bodo Stroesser <bstroesser@fujitsu-siemens.com>
Signed-off-by: Jeff Dike <jdike@addtoit.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/um/Makefile                  |    2 +-
 include/asm-um/arch-signal-i386.h |   24 ------------------------
 2 files changed, 1 insertion(+), 25 deletions(-)

diff -puN arch/um/Makefile~uml-remove-a-dangling-symlink arch/um/Makefile
--- 25/arch/um/Makefile~uml-remove-a-dangling-symlink	Mon May  2 17:15:53 2005
+++ 25-akpm/arch/um/Makefile	Mon May  2 17:15:53 2005
@@ -17,7 +17,7 @@ core-y			+= $(ARCH_DIR)/kernel/		\
 
 # Have to precede the include because the included Makefiles reference them.
 SYMLINK_HEADERS := archparam.h system.h sigcontext.h processor.h ptrace.h \
-	arch-signal.h module.h vm-flags.h elf.h
+	module.h vm-flags.h elf.h
 SYMLINK_HEADERS := $(foreach header,$(SYMLINK_HEADERS),include/asm-um/$(header))
 
 # XXX: The "os" symlink is only used by arch/um/include/os.h, which includes
diff -puN include/asm-um/arch-signal-i386.h~uml-remove-a-dangling-symlink include/asm-um/arch-signal-i386.h
--- 25/include/asm-um/arch-signal-i386.h~uml-remove-a-dangling-symlink	Mon May  2 17:15:53 2005
+++ 25-akpm/include/asm-um/arch-signal-i386.h	Mon May  2 17:15:53 2005
@@ -1,24 +0,0 @@
-/* 
- * Copyright (C) 2002 Jeff Dike (jdike@karaya.com)
- * Licensed under the GPL
- */
-
-#ifndef __UM_ARCH_SIGNAL_I386_H
-#define __UM_ARCH_SIGNAL_I386_H
-
-struct arch_signal_context {
-	unsigned long extrasigs[_NSIG_WORDS];
-};
-
-#endif
-
-/*
- * Overrides for Emacs so that we follow Linus's tabbing style.
- * Emacs will notice this stuff at the end of the file and automatically
- * adjust the settings for this buffer only.  This must remain at the end
- * of the file.
- * ---------------------------------------------------------------------------
- * Local variables:
- * c-file-style: "linux"
- * End:
- */
_
